<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>

<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/elettra_logo.gif" BORDER=0></A>

		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/soleil_logo.gif" BORDER=0></A>
		</Td>
    	 <Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.esrf.fr/Infrastructure/Computing/tango/" TARGET="_top">
					 TANGO </a> <Br> Device Server
			</Center></FONT>
    	</Td>
    </TR>
</TABLE>

<HR WIDTH="100%"></H5>
<Br>
<center>
<h1>
Starter for Tango Administration		<Br>
Device Commands Description 		<Br> <Br>
Starter Class	<Br>
</h1>
<b>
Revision: Release_2_3 - Author: pascal_verdier -  CVS repository: sourceforge(tango-cs)
</b>
</center>


<Center>
<Br><Br>
<A Href="DevCommandsFrame.html"> More Details on commands.... </a><Br>
<Br> <Br>
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Device Commands for Operator Level</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Command name</b></td></Center>
<Td><Center><b>Argument In</b></td></Center>
<Td><Center><b>Argument Out</b></td></Center>
<Tr><Td>Init</Td>
<Td>DEV_VOID</Td>
<Td>DEV_VOID</Td>
<Tr><Td>State</Td>
<Td>DEV_VOID</Td>
<Td>DEV_STATE</Td>
<Tr><Td>Status</Td>
<Td>DEV_VOID</Td>
<Td>CONST_DEV_STRING</Td>
<Tr><Td>DevStartAll</Td>
<Td>DEV_SHORT</Td>
<Td>DEV_VOID</Td>
<Tr><Td>DevStopAll</Td>
<Td>DEV_SHORT</Td>
<Td>DEV_VOID</Td>
<Tr><Td>DevGetRunningServers</Td>
<Td>DEV_BOOLEAN</Td>
<Td>DEVVAR_STRINGARRAY</Td>
<Tr><Td>DevGetStopServers</Td>
<Td>DEV_BOOLEAN</Td>
<Td>DEVVAR_STRINGARRAY</Td>
<Tr><Td>DevStart</Td>
<Td>DEV_STRING</Td>
<Td>DEV_VOID</Td>
<Tr><Td>DevStop</Td>
<Td>DEV_STRING</Td>
<Td>DEV_VOID</Td>
<Tr><Td>DevReadLog</Td>
<Td>DEV_STRING</Td>
<Td>CONST_DEV_STRING</Td>
<Tr><Td>UpdateServersInfo</Td>
<Td>DEV_VOID</Td>
<Td>DEV_VOID</Td>
<Tr><Td>StartPollingThread</Td>
<Td>DEV_VOID</Td>
<Td>DEV_VOID</Td>
<Tr><Td>NotifyDaemonState</Td>
<Td>DEV_VOID</Td>
<Td>DEV_STATE</Td>



</Table></Center>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3> ESRF - Software Engineering Group </H3>
</Center>
</body>
</html>
